package com.fxy.main.adapter;

import android.content.Context;
import android.support.annotation.Nullable;

import com.chad.library.adapter.base.BaseQuickAdapter;
import com.chad.library.adapter.base.BaseViewHolder;

import java.util.List;

/**
 * 项目名称：FingerShipWork
 * 类描述：二次封装，解耦库
 * 创建人：ww
 * 创建时间：2018/3/16 17:38
 * 修改人：COMP-021-2002
 * 修改时间：2018/3/16 17:38
 * 修改备注：
 */

public class BaseAdapter<T> extends BaseQuickAdapter<T, BaseViewHolder> {

    public Context mContext;

    public BaseAdapter(Context context, int layoutResId, @Nullable List<T> data) {
        super(layoutResId, data);
        this.mContext = context;
    }

    public BaseAdapter(int layoutResId, @Nullable List<T> data) {
        super(layoutResId, data);
    }


    @Override
    protected void convert(BaseViewHolder helper, T item) {

    }
}
